Payment Details
This method allows businesses to receive detailed information about an online payment using its identifier.
Header parameters
AuthorizationrequiredBasic <base64>
The meaning Bearer <jwt_token> is transmitted, where jwt_token is the meaning returned to the access_token parameter of the Response method.
Path parameter
order_idrequiredstring
- CURL
curl -X GET 'https://api.bog.ge/payments/v1/receipt/:order_id' \
-H 'Authorization: Bearer <token>'
Response
order_idstring
industrystring
capturestring
The authorization method, always - automatic.
transaction type with two possible meanings:
automatic- a standard ordermanual- a pre-authorization order
external_order_idstring
clientobject
The business information.
client.idstring
client.brand_kastring
client.brand_enstring
client.urlstring
zoned_create_datestring
zoned_expire_datestring
order_statusobject
Order status.
order_status.keystring
The status gets the following meanings:
created- payment request is createdprocessing- payment is being processedcompleted- payment process has been completedrejected- payment process has been unsuccessfully completedrefund_requested- refund of the amount is requestedrefunded- payment amount has been returnedrefunded_partially- payment amount has been partially refundedauth_requested- pre-authorize payment is requestedblocked- pre-authorize payment has been completed successfully, but payment amount is blocked and waiting for confirmationpartial_completed- pre-authorize payment partial amount has been confirmed successfully
order_status.valuestring
buyerobject
The buyer information.
buyer.full_namestring
buyer.emailstring
buyer.phone_numberstring
purchase_unitsobject
Information on the purchased products.
purchase_units.request_amountstring
purchase_units.transfer_amountstring
purchase_units.refund_amountstring
purchase_units.currency_codestring
purchase_units.itemsarray
The list of the purchased products/services.
purchase_units.items[].external_item_idstring
purchase_units.items[].descriptionstring
purchase_units.items[].quantitystring
purchase_units.items[].unit_pricestring
purchase_units.items[].unit_discount_pricestring
purchase_units.items[].vatstring
purchase_units.items[].vat_percentstring
purchase_units.items[].total_pricestring
purchase_units.items[].package_codestring
purchase_units.items[].tinstring
purchase_units.items[].pinflstring
purchase_units.basket[].product_discount_idoptionalstring
redirect_linksobject
The business web-pages, to which customers can be re-directed from the online payment system upon completion of the transaction.
redirect_links.failstring
redirect_links.successstring
payment_detailobject
Payment details.
payment_detail.transfer_methodstring
Payment method.
payment_detail.transfer_method.keystring
card- payment by a bank cardgoogle_pay- payment through Google Payapple_pay- payment through Apple Paybog_p2p- transferring by a customer of the Bank of Georgia, internet or mobile bankingbog_loyalty- payment by BoG MR/Plus pointsbnpl- payment in installmentsbog_loan- standard bank installment plan.
payment_detail.transfer_method.valuestring
payment_detail.transaction_idstring
payment_detail.auth_codestring
payment_detail.payer_identifierstring
A payer's identifier, according to the transfer_method, gets various meanings:
card/google_pay– the card’s encoded number is returned (PAN)5apple_pay– a device-specific number assigned to your card by Apple is returnedbog_p2p/bog_loyalty– the account name is returnedbog_loan/bnpl– the first letter of a customer name is returned.
payment_detail.payment_optionstring
Payment method. The following values can be returned:
direct_debit- card paymentrecurrent- payment by the saved cardsubscription- automatic payment by the saved card.
payment_detail.card_typestring
The type of card used for payment. The parameter takes its value during the card payment:
amex- American Expressmc- Mastercardvisa- Visa.
payment_detail.card_expiry_datestring
Expiration date (month/year) of the card with which the payment was made. The parameter takes value at the time of card payment.
payment_detail.request_account_tagstring
E-commerce POS identifier requested in the order.
payment_detail.transfer_account_tagstring
E-commerce POS identifier on which the payment was processed.
payment_detail.saved_card_typestring
recurrent- Card saved for client initiated future payments.subscription- Card saved for automatic, subscription payments with fixed amount and details.
payment_detail.parent_order_idstring
payment_detail.codestring
payment_detail.code_descriptionstring
payment_detail.auth_codestring
discountobject
Discount details, that was applied on the payment
discount.bank_discount_amountstring
discount.bank_discount_descstring
discount.system_discount_amountstring
discount.system_discount_descstring
discount.discounted_amountstring
discount.original_order_amountstring
actionsarray
The list of actions associated with an order.
actions[].action_idstring
actions[].request_channelstring
The channel, from which the action was initiated:
public_api- online payments APIbusiness_manager- business manager websitesupport- BOG inner system.
actions[].actionstring
The action type:
authorize- confirmation of pre-authorize paymentpartial_authorize- confirmation of pre-authorize paymentcancel_authorize- rejection of pre-authorize paymentrefund- refundpartial_refund- partially refund
actions[].statusstring
The action status:
completed- action has been completed successfullyrejected- has been completed unsuccessfully
actions[].codestring
actions[].code_descriptionstring
actions[].zoned_action_datestring
actions[].amountstring
langstring
The interface language found by a customer after re-directing to the online payment page. There are two meanings:
ka- Kartuli (Georgian)en- English
reject_reasonstring
The reason for payment failure. The parameter takes value only if the order failed ("order_status": "rejected"). takes the following values:
expiration- the order has expiredunknown- an unidentified reason.Payment Response Code Description- Payment rejection reason, initiated by card, Google Pay or Apple Pay. See full list of Response codes here.
splitobject
An object for the status and details of the split payment.
split.split_statusstring
The status of the split payment request. Possible values are:
created- The request has been createdprocessing- The request is being processedcanceled- The request has been canceledcompleted- The request was successfully completedrejected- The request was rejected (failed to execute)
split.currencystring
split.request_channelstring
- RESPONSE
{
"order_id": "a767a276-cddd-43ec-9db3-9f9b39eee02d",
"industry": "ecommerce",
"capture": "automatic",
"external_order_id": "123456",
"client": {
"id": "10000",
"brand_ka": "საქართველოს ბანკი",
"brand_en": "BOG",
"url": "https://api.bog.ge"
},
"create_date": "2022-11-01T13:19:43.021178",
"zoned_create_date": "2022-11-01T13:19:43.021178Z",
"expire_date": "2022-11-01T13:39:43.021178",
"zoned_expire_date": "2022-11-01T13:39:43.021178Z",
"order_status": {
"key": "refunded",
"value": "დაბრუნებული"
},
"buyer": {
"full_name": "John Doe",
"email": "johndoe@gmail.com",
"phone_number": "+995555000000"
},
"purchase_units": {
"request_amount": "100.5",
"transfer_amount": "0.0",
"refund_amount": "100.5",
"currency_code": "GEL",
"items": [
{
"external_item_id": "id_1",
"description": "product 1",
"quantity": "1",
"unit_price": "25.35",
"unit_discount_price": "0",
"vat": "0",
"vat_percent": "0",
"total_price": "25.35",
"package_code": "A000123",
"tin": null,
"pinfl": null,
"product_discount_id": "BF222R5"
}
]
},
"redirect_links": {
"success": "https://payment.bog.ge/receipt?order_id=a767a276-cddd-43ec-9db3-9f9b39eee02d",
"fail": "https://payment.bog.ge/receipt?order_id=a767a276-cddd-43ec-9db3-9f9b39eee02d"
},
"payment_detail": {
"transfer_method": {
"key": "card",
"value": "ბარათით გადახდა"
},
"code": "100",
"code_description": "Successful payment",
"transaction_id": "230513868679",
"payer_identifier": "548888xxxxxx9893",
"payment_option": "direct_debit",
"card_type": "mc",
"card_expiry_date": "03/24",
"request_account_tag": "1212",
"transfer_account_tag": "gev2",
"saved_card_type": "recurrent",
"parent_order_id": "8d52130d-cb1b-45ea-b048-0f040a44e2a3",
"pg_trx_id": "K4T2XMAZ9EBVQ3WN",
"auth_code": "483921"
},
"discount": {
"bank_discount_amount": "string",
"bank_discount_desc": "string",
"discounted_amount": "string",
"original_order_amount": "string",
"system_discount_amount": "string",
"system_discount_desc": "string"
},
"actions": [
{
"action_id": "b70968ca-eda9-47ae-8811-26fd1ab733f8",
"request_channel": "public_api",
"action": "authorize",
"status": "completed",
"action_date": "2022-11-28T13:42:40.668439",
"zoned_action_date": "2022-11-28T13:42:40.668439Z",
"amount": "100.5",
"code": null,
"code_description": null
},
{
"action_id": "a89b872a-9700-4025-b3fb-047cbba7a5e6",
"request_channel": "business_manager",
"action": "refund",
"status": "completed",
"action_date": "2022-11-28T13:58:03.427939",
"zoned_action_date": "2022-11-28T13:58:03.427939Z",
"amount": "100.5",
"code": null,
"code_description": null
}
],
"disputes": null,
"split": null,
"lang": "ka",
"reject_reason": null
}